## org.eclipse.datatools.connectivity.oda.flatfile.ui
Class FlatFileUIPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.datatools.connectivity.oda.flatfile.ui.FlatFileUIPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class FlatFileUIPlugin

extends org.eclipse.core.runtime.Plugin

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`FlatFileUIPlugin()`

Method Summary
`void` `start(org.osgi.framework.BundleContext context)`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlatFileUIPlugin

    public FlatFileUIPlugin()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`